安装环境

```sh
conda create -n mineru 'python>=3.10' -y
conda activate mineru
pip install -U "magic-pdf[full]" -i https://mirrors.aliyun.com/pypi/simple
```


下载模型
```sh
pip install modelscope


curl -o download_models.py https://gcore.jsdelivr.net/gh/opendatalab/MinerU@master/scripts/download_models.py

python download_models.py
```

配置文件在 `magic-pdf.json`


使用
```sh
magic-pdf -p {some_pdf} -o {some_output_dir} -m auto
magic-pdf -p test.pdf -o test -m auto
```